Opened 4 years ago

Closed 2 years ago

#3330 closed defect (rejected)

layer13.net (anti Adblock alert popup) not blocked by ABP

Reported by: darkblue Assignee:
Priority: Unknown Milestone:
Module: Adblock-Plus-for-Firefox Keywords:
Cc: trev, greiner, mapx, fanboy Blocked By:
Blocking: Platform: Firefox
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Environment

Windows 10 x64, Firefox Nightly 45.0a1 x64 (2015-11-15), Adblock Plus build 2.6.11.4045 with Easylist and Adblock Warning Removal List (both updated).

How to reproduce

  1. open an e10s Firefox window and open https://layer13.net/

Observed behaviour

  1. the Anti-Adblock alert popup "Please disable adblocker / whitelist this site, thx" is not blocked.
  2. there aren't any related errors entries in Browser Console while this happens
  3. And what I've noticed is that, whenever I update ABP beta with a newer build (or I install ABP on a clean FF profile), then the anti-block is blocked during the current Firefox session -as expected- no matter how many times you press F5 (refresh page), i.e. , but after next Firefox restart, it appears again.
  4. If you either rightclick on the https://layer13.net/ tab and press "Open in a new non-e10s window", of if you disable e10s altogether (Options|General|untick "enable multi-process Nightly")-and restart FF-, then the alert popup is blocked -as expected-.

Related tickets/bugs already fixed:
https://issues.adblockplus.org/ticket/3108
https://bugzilla.mozilla.org/show_bug.cgi?id=1213646

Expected behaviour

The Anti-Adblock alert popup should be blocked because of https://hg.adblockplus.org/easylist/rev/9af0997f469c.

Change History (2)

comment:1 Changed 4 years ago by mapx

  • Cc trev greiner mapx fanboy added
  • Component changed from Unknown to Adblock-Plus-for-Firefox

comment:2 Changed 2 years ago by trev

  • Resolution set to rejected
  • Status changed from new to closed

Mass-closing all bugs in Adblock Plus for Firefox module, the codebase of Adblock Plus 3.0 belongs into Platform and User-Interface modules. Old bugs are unlikely to still apply.

Note: See TracTickets for help on using tickets.